<?php

/**
 * 2007-2022 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author PrestaShop SA <contact@prestashop.com>
 * @copyright  2007-2022 PrestaShop SA
 * @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

/**
 *
 */
class CorreoargentinobranchModuleFrontController extends ModuleFrontController
{
    public $ssl = true;
    public $display_column_left = false;

    /**
     * @throws \Symfony\Contracts\HttpClient\Exception\DecodingExceptionInterface
     * @see FrontController::initContent()
     */
    public function initContent()
    {
        parent::initContent();
        $service = new CorreoArgentinoService();
        $agencies = $service->getBranches();
        $results = [];

        foreach ($agencies as $value) {
            $text = join(
                [
                    trim($value['location']['state_name']),
                    trim($value['location']['city_name']),
                    trim($value['agency_name']),
                    trim($value['location']['street_name']),
                    trim($value['location']['street_number']),
                    "(" . trim($value['location']['zip_code']) . ")"
                ],
                ', '
            );

            $results[] = [
                "id" => $value['agency_id'],
                "text" => $text
            ];
        }

        /**
         * successfully processed
         */

        header('Content-Type: application/json; charset=utf-8');
        echo json_encode($results);
    }
}
